import { Base } from "./Base";
export declare class BillingPageTokenService extends Base {
    /**
     * Fetches Recurly's billing page token
     * required to access billing information controls.
     * **IMPORTANT**: will fail with 500 when trying to fetch token for free spaces
     * due to a non-existent subscription information
     * @param spaceName - name of the space
     * @returns billing page token
     */
    getOne(spaceName: string): Promise<string>;
}
