import { Base } from "./Base";
type Release = {
    version: string;
    title: string;
    aliases: string[];
};
type VersionsResponse = Release[];
/**
 *
 * The class for consuming all `LensDesktopKube` resources.
 *
 */
declare class LensDesktopKubeService extends Base {
    getK0sVersions(): Promise<VersionsResponse>;
}
export { LensDesktopKubeService };
