import { Base } from "./Base";
import type { BillingPlan } from "./BillingPlan";
/**
 *
 * The class for consuming all `plan` resources.
 *
 * @remarks
 * This class should be generated using OpenAPI generator in the future.
 *
 * @alpha
 */
declare class PlanService extends Base {
    /**
     * Get one plan by space name
     */
    getOne({ name, queryString, }: {
        name: string;
        queryString?: string;
    }): Promise<BillingPlan>;
}
export { PlanService };
