"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlanService = void 0;
const Base_1 = require("./Base");
/**
 *
 * The class for consuming all `plan` resources.
 *
 * @remarks
 * This class should be generated using OpenAPI generator in the future.
 *
 * @alpha
 */
class PlanService extends Base_1.Base {
    /**
     * Get one plan by space name
     */
    async getOne({ name, queryString, }) {
        const { apiEndpointAddress, fetch } = this.lensPlatformClient;
        const url = `${apiEndpointAddress}/plans/${name}${queryString ? `/?${queryString}` : ""}`;
        const json = await fetch.get(url);
        return json;
    }
}
exports.PlanService = PlanService;
